      program chnma001
      implicit none

      integer nbuffr
      parameter( nbuffr = 4000000 )
      integer ibuffr
      common ibuffr(nbuffr)

      call ismain( nbuffr )

      end

      function usfunb ( ichoice, x, y, z, t )

c     User written function subroutine. It gives
c     the user the opportunity to define a
c     boundary condition as a function of space
c     and time.

      implicit none      

      double precision usfunb, x, y, z, t
      integer ichoice

      on real underflow ignore

c     x        i    x-coordinate 
c     y        i    y-coordinate 
c     t        i    actual time 
c     ichoice  i    choice parameter given by the user input
c     usfunb   o    computed boundary condition

         if ( ichoice.eq.1 ) then
*           usfunb = -.9999995*(4d0*y*(1d0-y))
            usfunb = -.9999995d0*(4d4*(x+5d-3)*(1d-2-(x+5d-3)))
*            usfunb = -.9999995d0
	 else if ( ichoice.eq.2 ) then
	    usfunb = .9999995d0*(4d4*(x+5d-3)*(1d-2-(x+5d-3)))
	 else if ( ichoice.eq.3 ) then
	    usfunb = -.343d0*(4d4*(x+5d-3)*(1d-2-(x+5d-3)))
         end if

      end

