      program pol3d
      implicit none

      integer nbuffr
      parameter( nbuffr = 8000000 )
      integer ibuffr
      common ibuffr(nbuffr)

      call ismain( nbuffr )

      end

      function usfuni ( ichoice, x, y, z )

c     User written function subroutine. It gives
c     the user the opportunity to define an
c     initial value  as a function of space.

      implicit none      

      double precision usfuni, x, y, z
      integer ichoice

c     x        i    x-coordinate 
c     y        i    y-coordinate 
c     z        i    z-coordinate 
c     ichoice  i    choice parameter given by the userinput
c     usfuni   o    computed boundary condition

      integer m, n
      double precision deltax

      n = 13
      m = int(n/2)+1
      deltax = 0.1d0

      if ( ichoice.eq.1 ) then
        usfuni = 0d0
        if ( x.ge.(m-2)*deltax .and. x.le.(m+1)*deltax ) then
          if ( y.ge.(m-2)*deltax .and. y.le.(m+1)*deltax ) then
            if ( z.ge.(m-2)*deltax .and. z.le.(m+1)*deltax ) then
              usfuni = 1d0
            end if
          end if
        end if
      end if

      end
