      subroutine isdcrpri
c ======================================================================
c
c        programmer     Guus Segal
c        version 1.0    date   21-06-94 (Extracted from the SEPRAN subroutine
c                                        inipri version 1.2)
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c ********************************************************************
c
c                         DESCRIPTION
c
c     decrease priority numbers in array infor common block carray
c
c ********************************************************************
c
c                      KEYWORDS
c
c     memory_management
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
c ********************************************************************
c
c                      COMMON BLOCKS
c
      include 'IScommon/cisblank'
c ********************************************************************
c
c                    LOCAL PARAMETERS
c
      integer i, iinfor

c     i       General loop variable
c     iinfor  Number of arrays that has been referenced
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c     None.
c ********************************************************************
c
c                    I/O
c
c ********************************************************************
c
c                    ERROR MESSAGES
c
c     None.
c ********************************************************************
c
c                    PSEUDO CODE
c
c    trivial
c ======================================================================
c
      iinfor = ibuffr(3)
      do 100 i = 1, iinfor
         if ( ibuffr(11+3*(i-1)).gt.0 )
     +      ibuffr(13+3*(i-1)) = ibuffr(13+3*(i-1))-1
100   continue
      end
