      program channel
      implicit none

      integer nbuffr
      parameter( nbuffr = 4000000 )
      integer ibuffr
      common ibuffr(nbuffr)

      call ismain( nbuffr )

      end
      
      function usfuni ( ichoice, x, y, z, t )

c     User written function subroutine. It gives
c     the user the opportunity to define a
c     boundary condition as a function of space
c     and time.

      implicit none      

      double precision usfuni, x, y, z, t
      integer ichoice

      on real underflow ignore

c     x        i    x-coordinate 
c     y        i    y-coordinate 
c     t        i    actual time 
c     ichoice  i    choice parameter given by the user input
c     usfunb   o    computed boundary condition

c% Contact discontinuity
c%pleft = 1;  pright = 1; rholeft = 1.0;  rhoright = 0.7;
c%uleft = 0.6;  uright = 0.6; tend = 0.3; lambda = 0.1;
c% lambda = dt/dx


         if ( ichoice.eq.1 ) then
         
            if (x.le.5d-1) then
c druk            

               usfuni = 1.0d0
            else
              usfuni = 1.0d0
            end if
         
         else if ( ichoice.eq.2 ) then 

c  temp         
          if (x.le.5d-1) then
              usfuni = 3.5d0 
            else
              usfuni = 5.0d0 
            end if
         
         else if ( ichoice.eq.3 ) then 

c  dichtheid*snelheid
         
          if (x.lt.0.495d0) then
              usfuni = 0.6d0 
          else if ((x.lt.0.505).and.(x.gt.0.495)) then
              usfuni = 0.51d0     
          else 
              usfuni = 0.42d0 
            end if   
         
         end if

      end
