      subroutine iswrtif8 ( niuser, nuser, iuser, user )
c ======================================================================
c
c        programmer     Guus Segal
c        version 1.1    date 08-09-1997 New block number
c        version 1.0    date 27-09-1994
c
c
c   copyright (c) 1994-1997  "TU Delft"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "TU Delft".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c **********************************************************************
c
c                       DESCRIPTION
c
c    Write nineth part of the intermediate file
c    It concerns the blocks 16 to 16
c **********************************************************************
c
c                       KEYWORDS
c
c    intermediate_file
c    write
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      integer niuser, nuser, iuser(*)
      double precision user(*)

c     iuser     i    Integer user array of length niuser
c     niuser    i    Number of parameters stored in array iuser
c     nuser     i    Number of parameters stored in array user
c     user      i    Real user array of length nuser
c **********************************************************************
c
c                       COMMON BLOCKS
c
      include 'IScommon/cisnas'

c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      integer i

c     i         General loop variable
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       I/O
c
c     This subroutine  writes the following parts to the intermediate file
c
c     Block 14: User defined parameters
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c    write array iuser
c    write array user
c **********************************************************************
c
c                       MODULES USED
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
c     --- write array iuser

      write(irefwr,100) niuser, nuser
100   format ( /'**** BLOCK 16: Parameters defined by the',
     +          ' user with respect'/
     +          '****           to the special common block CUSER'//
     +          'niuser =', i5/
     +          'nuser =', i5/ )
      if ( niuser.gt.0 ) write(irefwr,110) (iuser(i),i=1,niuser)
110   format ( /'* iuser'// (10i6))
      if ( nuser.gt.0 ) write(irefwr,120) (user(i),i=1,nuser)
120   format ( /'* user'// (5d15.7))

      end
