      subroutine istraceback
c ======================================================================
c
c        programmer     Guus Segal
c        version 1.0    date   15-09-1999
c
c
c     copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
c     permission to copy or distribute this software or documentation
c     in hard copy or soft copy granted only by written license
c     obtained from "Ingenieursbureau SEPRA".
c     all rights reserved. no part of this publication may be reproduced,
c     stored in a retrieval system ( e.g., in memory, disk, or core)
c     or be transmitted by any means, electronic, mechanical, photocopy,
c     recording, or otherwise, without written permission from the
c     publisher.
c
c
c **********************************************************************
c
c                       DESCRIPTION
c
c     Print a trace back of all subroutines that call the present subroutine
c
c **********************************************************************
c
c                       KEYWORDS
c
c    print
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
c **********************************************************************
c
c                       COMMON BLOCKS
c
      include 'IScommon/cisnas'
      include 'IScommon/cismessc'
      include 'IScommon/cismessg'

c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      integer i

c     i         General loop variable
c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c **********************************************************************
c
c                       MODULES USED
c
c ======================================================================
c
      if ( levelsub.gt.1 ) then
         write(irefwr,100)
100      format(//' TRACEBACK of calling subroutines'// )
         do i = levelsub, 1, -1
            write(irefwr,110) i,namsubs(i)
110         format(10x,i2,': ',a)
         end do
      end if
      end
